<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipToPadding="false"
    android:padding="@dimen/twelve"
    android:clickable="true"
    android:focusableInTouchMode="true">



    <TextView
        android:id="@+id/appName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:minWidth="@dimen/zero"
        android:textSize="30dp"
        android:gravity="center"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:padding="@dimen/eight"
        android:inputType="textNoSuggestions"/>
    <TextView
        android:id="@+id/totalTouch"
        android:layout_margin="20dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center_vertical|left"
        android:padding="@dimen/eight"
        android:inputType="textNoSuggestions"
        />
    <TextView

        android:id="@+id/lastTouchDate"
        android:layout_margin="20dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center_vertical|right"
        android:padding="@dimen/eight"
        android:inputType="textNoSuggestions"
        />
    <EditText
        android:inputType="none"
        android:id="@+id/alterName"
        android:textSize="20dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        app:layout_constraintTop_toBottomOf="@id/totalTouch"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"/>
    <TextView
        android:id="@+id/appPackage"
        android:textSize="20dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        app:layout_constraintTop_toBottomOf="@id/alterName"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"/>

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/activityBrowser"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_activity"
        android:tooltipText="@string/activity_browser"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/detailedInfo"
        app:layout_constraintTop_toBottomOf="@+id/appPackage" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/detailedInfo"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:layout_marginEnd="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_info"
        android:tooltipText="@string/detailed_info"
        app:layout_constraintEnd_toStartOf="@id/activityBrowser"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/appPackage" />

    <View
        android:id="@+id/favGroup"
        android:layout_width="@dimen/zero"
        android:layout_height="1dp"
        android:layout_marginTop="@dimen/eight"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/detailedInfo"
        app:singleSelection="true" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/appInfo"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:layout_marginEnd="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_info2"
        android:tooltipText="@string/app_info"
        app:layout_constraintEnd_toStartOf="@id/appFreeform"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/favGroup" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/appFreeform"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:layout_marginEnd="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_pip"
        android:tooltipText="@string/freeform"
        app:layout_constraintEnd_toStartOf="@id/appStore"
        app:layout_constraintStart_toEndOf="@id/appInfo"
        app:layout_constraintTop_toBottomOf="@+id/favGroup" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/appStore"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:layout_marginEnd="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_store"
        android:tooltipText="@string/app_store"
        app:layout_constraintEnd_toStartOf="@id/appShare"
        app:layout_constraintStart_toEndOf="@id/appFreeform"
        app:layout_constraintTop_toBottomOf="@+id/favGroup" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/appShare"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:layout_marginEnd="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_share"
        android:tooltipText="@string/share"
        app:layout_constraintEnd_toStartOf="@id/appUninstall"
        app:layout_constraintStart_toEndOf="@id/appStore"
        app:layout_constraintTop_toBottomOf="@+id/favGroup" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/appUninstall"
        style="@style/Widget.Material3.ExtendedFloatingActionButton.Surface"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/eight"
        android:contentDescription="@null"
        android:src="@drawable/ic_delete"
        android:tooltipText="@string/uninstall"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/appShare"
        app:layout_constraintTop_toBottomOf="@+id/favGroup"
        app:tint="@android:color/holo_red_light" />

</androidx.constraintlayout.widget.ConstraintLayout>